## _Customisable reticles framework_
### `Version v1.0.0`
## Changelog
```
v1.0.0
- added global killswitch for reticle offset
- added option to prioritize custom color over colorblind setting
- changed how Holo_scale works - now it'll adjust offset_scalar automatically
- added presets for most common fov values [enable by typing ie 'exec crf_fov96']

please update your models if they contain acgs_sight/Holo_r2/Hcog2
```
## 📲*Contact info:*
```
Discord id: Creamy#5877
NS Discord Server:
 For Crashes - Please refer #modding_chat and @ me, before creating a ticket for the support team
 For Skins   - Please refer to #skin_chat and make sure to @ me
```
## ℹ️Info 
This mod adds vmts/vtfs for customisable reticles as well as convars for modsettings to use.

All transformations to reticles can be done via console, all convars start with 'CRM.'

This mod reqiures a modder to implement vmts into their model, this mod does not work on vanilla weapons.

In order to use presets you need to input ie 'exec crf_fov96', if your fov is not on a list fear not, just play around with one of the scopes and create your own custom scalar based on theese values then simply save the your .cfg 
 file in [ns mod folder]/CustomReticlesFramework/mod/cfg

### *Example cfg used for fov_scale "1.7"*
```
CRM.hcog2_offset_scalar 0.875
CRM.acgs_offset_scalar 0.875 
CRM.aog_r1_offset_scalar 0.875 
CRM.aog_r2_offset_scalar 0.875
CRM.cro_offset_scalar 0.875
CRM.r201_front_offset_scalar  0.875
CRM.vinson_front_offset_scalar 0.875
```

*To use this framework in your custom models download the .blend containing r201 with all base scopes or individual smd files from github link*

## ⚠️***Warning***

Unfortunetely settings such as cl_fov_scale;viewmodel_fov;zoom_fov (or any other settings that modify your fov), will 100% break the default scaling, in order to adjust it use [...]offset_scalar convar to fit your preference or use one of the presets mentioned above :p

Some .qc files need additionall $attachments like aog_r1 which you can copy from here:
```
$attachment "AOG_R1_FRONT" "def_c_scope_aog_r1" 0 1.685 -1.55 rotate -90 -90 0
$attachment "AOG_R1_REAR" "def_c_scope_aog_r1" 0 1.685 -1.56 rotate -90 -90 0
```

This is just a preview that was set up for 1.6 fov_scale, which is slightly  [fov_scale 1 = 70fov; fov_scale 1.55 = 110fov] 

## 📑Features 
- 8 styles of front reticles to choose from
![styles](https://user-images.githubusercontent.com/88903493/212467779-d36999b8-cd9e-4a9c-b98c-58db5b04a5b2.gif)
- ability to scale reticle
![scale](https://user-images.githubusercontent.com/88903493/212468200-88c8dfbb-b9bd-4f74-ac5c-a120ed2aec63.gif)
- customisable base colour
![colors](https://user-images.githubusercontent.com/88903493/212468009-3b495903-6dbc-4d11-bcbd-6e5b63c6a235.gif)
- reticle will be in sync with the crosshair/ center of the screen
 ![center](https://user-images.githubusercontent.com/88903493/212468636-0b807f09-9a61-46a6-b37c-d89558c5bc20.gif)
- RGB mode [can be assigned to toggle]
![hcog_rgb_gif](https://user-images.githubusercontent.com/88903493/210629404-69eb1338-420f-49bd-9be4-a579f4abc06c.gif)
- support for default colourblind modes


Featured scopes:
- Holosight
- acgs_sight
- hcog2_sight
- aog_r2_sight
- aog_r1_sight

### ⏬Installation
Install via thundersore/VTOL is preffered, but if you are installing this mod manually, install this skin as a **MOD** !!

# 📷 _Gallery_ 


##
![ass text](https://i.imgur.com/YBbUI31.jpg)
![alt text](https://i.imgur.com/jz9Prsi.jpg)
![ass text](https://i.imgur.com/ugSVTUb.jpg)
![ass text](https://i.imgur.com/LuHwFFq.jpg)
![ass text](https://i.imgur.com/zR3l5zW.jpg)
![ass text](https://i.imgur.com/n3JoZ1D.jpg)
Have fun <3

## Deprecated changelogs
```
v0.0.2
- added proper aog_r1 correction
- changed acgs_sight windage to accomodate for sway correction
```